# -*- RPM-SPEC -*-

%ifarch %{ix86}
%define eclipse_arch    x86
%define java_arch	i386
%endif
%ifarch alpha
%define eclipse_arch	alpha
%define java_arch	alpha
%endif
%ifarch ia64
%define eclipse_arch	ia64
%define java_arch	ia64
%endif
%ifarch ppc64
%define eclipse_arch	ppc64
%define java_arch	ppc
%endif
%ifarch sparc64
%define eclipse_arch	sparc64
%define java_arch	sparc
%endif
%ifarch x86_64
%define eclipse_arch	amd64
%define java_arch	amd64
%endif

%define eclipse_base    /usr/share/eclipse

Summary: Lomboz J2EE (TM) development environment for Eclipse
Name: eclipse-lomboz
Version: 3.0
Release: 7
Copyright: GNU Lesser General Public License <http://www.gnu.org/licenses/lgpl.html>
Group: Development/Tools
URL: http://forge.objectweb.org/lomboz
Requires: eclipse-ui eclipse-jdt java-devel

Source0: eclipse-lomboz.tar.gz

BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: desktop-file-utils
BuildRequires: eclipse-platform
BuildRequires: eclipse-jdt
BuildRequires: eclipse-pde
BuildRequires: libswt3-gtk2
BuildRequires: eclipse-gtk2

BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch:		i386 ia64 ppc

%description
The eclipse-lomboz package contains the Lomboz Eclipse plugin,
a toolkit for web and J2EE (TM) applications development.

%prep
%setup -q -c 

%build
export JAVA_HOME=%{java_home}
export PATH=%{java_bin}:/usr/bin:$PATH

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
SDK=$(cd SDK && pwd)

# Create a home directory for the build.
mkdir home
homedir=$(cd home > /dev/null && pwd)

cd com.redhat.eclipse.lomboz.releng

java -cp $SDK/startup.jar \
    -Duser.home=$homedir \
    org.eclipse.core.launcher.Main \
    -application org.eclipse.ant.core.antRunner \
    -DjavacFailOnError=true \
    -DbaseLocation=$SDK \
    -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build_3.0.0/scripts \
    -DcompilerArg="-encoding iso8859-1" \
    -DdontFetchAnything=true

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{eclipse_base}

for file in $(pwd)/com.redhat.eclipse.lomboz.releng/results/I.*/*.zip; do
   # The ".." is needed since the zip files contain "eclipse/foo".
   cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && unzip -qq -o $file
done

%clean 
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{eclipse_base}/features/com.objectlearn.*
%{eclipse_base}/plugins/com.objectlearn.*
%{eclipse_base}/plugins/org.apache.*
%{eclipse_base}/plugins/sf.net.xdoclet*

%changelog
* Sun Jul 25 2004 Jeremy Handcock <handcock@redhat.com> 3.0-7
- Require java-devel

* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 3.0-6
- Require eclipse-ui, not eclipse-platform

* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 3.0-5
- Set user.home property for build
- Update package description

* Thu Jul 22 2004 Jeremy Handcock <handcock@redhat.com> 3.0-4
- Don't build on ppc64.

* Tue Jul 20 2004 Jeremy Handcock <handcock@redhat.com> 3.0-3
- Include log4j and xdoclet library plugins

* Mon Jul 19 2004 Tom Tromey <tromey@redhat.com> 3.0-2
- Use the copy-platform script

* Wed Jul 14 2004 Jeremy Handcock <handcock@redhat.com> 3.0-1
- Rewrite for releng build and eclipse 3.0

* Thu Feb 12 2004 Jeremy Handcock <handcock@redhat.com> 2.1.2-1
- Correct license and generalize description

* Tue Feb 10 2004 Tom Tromey <tromey@redhat.com> 2.1.2-1
- Initial version
